require 'topdmc/resources/base'

module TopDMC
    module Resources
      class Album < Base
        def initialize(client)
          super(client)
        end

        def find(id)
          perform_request('GET', "/v1/albums/#{id}")
        end

        def find_all_by_ids(ids)
          perform_request('GET', "/v1/albums", {ids: ids.join(',')})
        end
      end
  end
end
