require 'topdmc/resources/base'

module TopDMC
    module Resources
      class Artist < Base
        def initialize(client)
          super(client)
        end

        def find(id)
          perform_request('GET', "/v1/artists/#{id}")
        end

        def find_all_by_ids(ids)
          perform_request('GET', "/v1/artists", {ids: ids.join(',')})
        end

        def get_albums(id)
          perform_request('GET', "/v1/artists/#{id}/albums")
        end

        def et_tracks(id)
          perform_request('GET', "/v1/artists/#{id}/tracks")
        end
      end
  end
end
